Bug 1078212 - CWM::TreePager renders pages twice
CWM::TreePager renders pages twice
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Ancor Gonzalez Sosa
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-30 06:37 UTC by Ancor Gonzalez Sosa
Modified: 2022-09-12 10:23 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ancor Gonzalez Sosa 2018-01-30 06:37:06 UTC
On every page switch, TreePager calls #switch_page one additional surplus time.

It's caused because Pager assumes in this comparison that "page.widget_id == new_id", which may not be true if the subclass redefines #page_for_id (as TreePager does):
https://github.com/yast/yast-yast2/blob/25715890236fe5e3270501773f76d2c836e71db8/library/cwm/src/lib/cwm/pager.rb#L38
Comment 1 Ancor Gonzalez Sosa 2018-01-30 06:48:44 UTC
Pull request with the fix https://github.com/yast/yast-yast2/pull/680
Comment 2 Ancor Gonzalez Sosa 2018-02-28 08:53:06 UTC
Resolved long time ago (see PR)